/*
**
**	$Id: CascadeMenu.h,v 1.3 1994/05/30 10:27:04 masa-k Rel $
**
*/

/*
**  Copyright (C) 1994 Issei Numata  issei@jaist.ac.jp
**
**  NOTICE:
**
**  1) You may use, copy, distribute and sell verbatim copies of this 
**     Program's source code as you receive it with above copyright and
**     this notice.
**
**  2) You may modify your copy or copies of the Program or any portion
**     of it, and use, copy, distribute and sell such modifications with 
**     above copyright and this notice. But, you must specify that this 
**     program is modifyied from original.
*/

/*
** CascadeMenu is program to realize cascade popupmenu on X11 athena
** widget environment. You can use SmeObjects like as SimpleMenu.
** if SmeBSB has callback and right bitmap, CascadeMenu immediately
** call it's method directly. 
*/ 

#ifndef CASCADE_MENU_H
#define CASCADE_MENU_H

#ifndef USE_XAW3D
#include <X11/Xaw/SimpleMenu.h>
#else   /* USE_XAW3D */
#include <X11/Xaw3d/SimpleMenu.h>
#endif  /* !USE_XAW3D */

typedef struct _CascadeMenuClassRec	*CascadeMenuWidgetClass;
typedef struct _CascadeMenuRec		*CascadeMenuWidget;

extern WidgetClass cascadeMenuWidgetClass;

/* SimpleMenu Resources:

 Name                Class              RepType         Default Value
 ----                -----              -------         -------------
 background          Background         Pixel           XtDefaultBackground
 backgroundPixmap    BackgroundPixmap   Pixmap          None
 borderColor         BorderColor        Pixel           XtDefaultForeground
 borderPixmap        BorderPixmap       Pixmap          None
 borderWidth         BorderWidth        Dimension       1
 bottomMargin        VerticalMargins    Dimension       VerticalSpace
 columnWidth         ColumnWidth        Dimension       Width of widest text
 cursor              Cursor             Cursor          None
 destroyCallback     Callback           Pointer         NULL
 height              Height             Dimension       0
 label               Label              String          NULL (No label)
 labelClass          LabelClass         Pointer         smeBSBObjectClass
 mappedWhenManaged   MappedWhenManaged  Boolean         True
 rowHeight           RowHeight          Dimension       Height of Font
 sensitive           Sensitive          Boolean         True
 topMargin           VerticalMargins    Dimension       VerticalSpace
 width               Width              Dimension       0
 x                   Position           Position        0n
 y                   Position           Position        0

*/

/* CascadeMenu Resources:

 Name                Class              RepType         Default Value
 ----                -----              -------         -------------
*/

#endif

